# Contributing to the `extended-data-types` project

## Filing a bug report

To file a bug report, [open the Issues tab][Issues] and add a new issue,
labeling it as a bug report. If you wish to try and fix it yourself, add
yourself as a contributor to that issue. You are allowed to group similar
bugs into one issue report, as long as you don't exceed the limit of three
different bugs. Otherwise, make another issue.

## Suggesting a new feature

To suggest a new feature:

- For small suggestions, [you can go directly to the Projects tab][Projects]
  and write a suggestion to the Suggestions/Ideas column
- For medium-to-large suggestions, write an issue, mark it as part of the
  current project and label it as a suggestion

You may NOT suggest features through email to the core developers.

## Setting up your development environment

Since `extended-data-types` has very little to do beyond programming and testing,
the following should be enough for 95% of all contributors:

1. A working Git or GitHub Desktop installation
2. A text editor / Python IDE
3. An installation of Python that supports Python version 3.10 or higher
4. The following, non-standard PyPI modules (available through `pip`):
    - `poetry`

[Issues]: https://github.com/Diapolo10/project-name/issues
[Projects]: https://github.com/Diapolo10/project-name/projects
